RDGeom::GridException Class Reference

`#include <Grid3D.h>`

Inheritance diagram for RDGeom::GridException:

## Public Member Functions

| GridException (const char *msg)
| construct with an error message More...
| GridException (std::string msg)
| construct with an error message More...
const char * | what () const noexcept override
| get the error message More...
| ~GridException () noexcept override=default

## Detailed Description

Definition at line 23 of file Grid3D.h.

## Constructor & Destructor Documentation

## GridException() [1/2]

RDGeom::GridException::GridException | ( | const char * | msg | ) |

inline

construct with an error message

Definition at line 26 of file Grid3D.h.

## GridException() [2/2]

RDGeom::GridException::GridException | ( | std::string | msg | ) |

inline

construct with an error message

Definition at line 28 of file Grid3D.h.

## ~GridException()

RDGeom::GridException::~GridException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char* RDGeom::GridException::what | ( |  | ) | const

inline override noexcept

get the error message

Definition at line 30 of file Grid3D.h.

The documentation for this class was generated from the following file:

- Grid3D.h